0
votes
2answers
2k views

Cannot load Memcached in PHP on Gentoo

I am using Gentoo Base System release 2.0.3, apache-2.2.21-r1, php 5.3.8-pl0 and memcached-1.4.5. I have done the following: emerge dev-php/pecl-memcache emerge dev-php/pecl-memcached emerge ...
1
vote
1answer
1k views

Symfony2 app in subdirectory nginx

I'm trying to setup a symfony2 app in a subdirectory of our Server Webserver: nginx 1.1.6 + php fpm OS: gentoo my target is to get the app working from a subdirectory subdomain.xy.domain.tld/tool ...
2
votes
1answer
424 views

PHP Threading on Gentoo

PHP on Gentoo supports the threads USE flag. As far as I know, PHP does not support true threading; I am only aware of the ability to fork using pcntl_fork(), but this functionality is provided by the ...
1
vote
2answers
99 views

PHP only loads extension if apc.so is located in my www folder

This is pretty strange situation I am getting. I have installed apc (with ./configure and make) on my LAMP gentoo with PHP 5.2. To get apc loaded i need to place apc.so in my www php directory ...
2
votes
2answers
1k views

Failed installing APC?

I am trying to install APC on a gentoo with php 5.2 Here teh full command i Lanched: mkdir /home/APC-php cd /home/APC-php wget http://pecl.php.net/get/APC tar -xzvf APC cd APC-3.1.9 ...
0
votes
3answers
643 views

Help me install APC on Gentoo

I have PHP 5.2 and Gentoo base system version 1.6.14 I launched: emerge dev-php5/pecl-apc But it failed at: * checking ebuild checksums ;-) ... [ ok ] * ...
0
votes
4answers
3k views

How to emerge different versions , ebuilds of php

I'm trying to compile a lower version of php (5.2) as gentoo is selecting 5.3 and i'm having some coding issues with the new version nano /etc/portage/package.use =dev-lang/php-5.2.14 ~amd64 still ...
0
votes
1answer
248 views

Apache 2.2.16 + PHP 5.2.14 sometimes causes Apache to not stop properly

Sometimes, Apache decides not to shut down nicely. killall apache2 or kill -9 (apache2 PID here) shuts it down so that it can actually start back up without the port being in use. Other posts seem to ...
0
votes
3answers
7k views

Set default MySQL connect charset for PHP (in RHEL)?

We're running a hundred or so legacy PHP websites on an older server which runs Gentoo Linux. When these sites were built latin1 was still the common charset, both in PHP and MySQL. To make sure ...
-1
votes
2answers
188 views

php-cgi dies quietly every few hours in low traffic

php-cgi -v PHP 5.2.11-pl1-gentoo (cgi-fcgi) (built: Dec 21 2009 09:10:29) Copyright (c) 1997-2009 The PHP Group Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies System info ...